package edu.travel.tenant.exception;

import edu.travel.emun.ResponseCode;
import edu.travel.exception.BaseException;
import edu.travel.resp.BaseResponse;
import edu.travel.resp.PageResponse;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 * GlobalExceptionHandler 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/11
 */


public class GlobalExceptionHandler {

    @ExceptionHandler(BaseException.class)
    public BaseResponse<Object> handleUserInfoException(BaseException e){
        e.printStackTrace();
        return  PageResponse.out(e.getCode(),e.getMessage(),null);
    }

    @ExceptionHandler(IllegalAccessException.class)
    public BaseResponse<Object> handleException(IllegalAccessException e){
        e.printStackTrace();
        return PageResponse.out(ResponseCode.LOGIC_ERROR.getCode(), e.getMessage(),null);
    }

    @ExceptionHandler(Throwable.class)
    public BaseResponse<Object> handleException(Exception e){
                e.printStackTrace();
        return PageResponse.out(ResponseCode.ERROR.getCode(),e.getMessage(),null);
    }

}
