package edu.travel.tenant.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.tenant.dto.AssignRolesOrMenus;
import edu.travel.tenant.entity.EduTenant;
import edu.travel.tenant.entity.SysMenu;
import edu.travel.tenant.entity.SysRole;

import java.util.List;

public interface ITenantService extends IService<EduTenant> {
    public EduTenant getTenantByPhoneNumber(String tenantID);

    void addTenant(EduTenant tenant);

    void deleteByIds(List<Long> ids);

    void updateTenant(EduTenant tenant);


    EduTenant getTenantById(Long id);

    List<SysMenu> getMenuList(EduTenant principal);

    List<SysRole> getRoleListByUserId(EduTenant principal);

    void assignRolesToUser(AssignRolesOrMenus assignRolesOrMenus);
}
